## syncevolution 1.3-1

=== debian/changelog ===
syncevolution (1:1.3-1) unstable; urgency=low

  * SyncEvolution 1.3 for Maemo Fremantle.
    Should fix problems with the new support for autodetecting
    what format to sync notes in, among others.
  * Merged from Harmattan branch (irrelevant on Fremantle):
    Support for Harmattan tasks and notes, selecting databases
    by UID. Also reduced memory requirements and fixed some bugs.

 -- Ove Kaaven <ovek@arcticnet.no>  Tue, 25 Sep 2012 21:51:24 +0200

=== debian/control ===
Source: syncevolution
Section: utils
Priority: extra
Maintainer: Ove Kaaven <ovek@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev, automake (>= 1:1.10),
 libtool, libglib2.0-dev, libpcre3-dev, libcurl3-dev, libedataserver-dev,
 libebook-dev, calendar-backend-dev, libsqlite3-dev, libboost1.42-dev,
 libcppunit-dev, libneon27-dev
Standards-Version: 3.7.2
XSBC-Bugtracker: http://bugs.meego.com/buglist.cgi?product=SyncEvolution

Package: syncevolution
Architecture: any
Depends: ${shlibs:Depends}, host
Description: SyncEvolution - a SyncML and CalDAV/CardDAV client
 SyncEvolution allows you to sync your contacts and calendar with SyncML
 and CalDAV/CardDAV servers on the Internet, such as Funambol, Ovi,
 Google Contacts, and Google Calendar.

Package: syncevolution-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}
Description: SyncEvolution development files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# options that can be added to DEB_BUILD_OPTIONS:
# - noopt: compile with -O0
# - maemo: enable maemo hacks

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


LDFLAGS = -Wl,--as-needed
export LDFLAGS

# For some reason, the Scratchbox cross-compiler doesn't
# seem to honor rpaths. Compensate by adding rpath-link.
LDFLAGS += \
	-Wl,-rpath-link=src/build-synthesis/src/.libs \
	-Wl,-rpath-link=src/gdbus/.libs

# some optified -dev packages may forget the symlink
PKG_CONFIG_PATH=/opt/maemo/usr/lib/pkgconfig
export PKG_CONFIG_PATH

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += CXXFLAGS="-g -O0"
endif

CONFIGURE_FLAGS += --enable-maemo --enable-shared --disable-static \
 --disable-ssl-certificate-check \
 --disable-libsoup --enable-libcurl --disable-ecal --enable-ebook --enable-maemocal \
 --disable-bluetooth --enable-dav --with-synthesis-src=libsynthesis

configure: configure.ac
	./autogen-maemo.sh

libsynthesis/configure: libsynthesis/configure.in configure
	cd libsynthesis && ./autogen-maemo.sh

config.status: configure libsynthesis/configure
	dh_testdir
	# --enable-shared added to build SyncEvolution backends as modules,
	# which is more flexible but not the default because it requires a
	# specific installation layout.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) $(CONFIGURE_FLAGS) \
	 --prefix=/usr --docdir=/usr/lib/syncevolution/doc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	 --sysconfdir=/etc
	# fix place of \$compiler_flags in -shared build line: our -Wl,--as-needed has
	# no effect if it comes after the libs, which is where libtool 1.5.24 puts it
	# normally
	perl -pi -e 's/-shared (.*) \\\$$compiler_flags/-shared \\\$$compiler_flags $$1/' libtool

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:  config.status

	# Add here commands to compile the arch part of the package.
	$(MAKE) 
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:  config.status

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

	dh_install -s

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps --exclude=syncebook --exclude=syncecal
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

	# On Harmattan, add Aegis manifest
	-aegis-deb-add -control debian/syncevolution/DEBIAN/control .. \
	  debian/syncevolution.aegis=_aegis

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

## syncevolution 1.3.2

=== debian/changelog ===
syncevolution (1.3.2-1) unstable; urgency=low

  * Install syncevo-local-sync helper, required for CardDAV/CalDAV.
    Thanks to Gregor Herrmann for the patch. (Closes: #679657)
  * New upstream release (Closes: #682280, #684077, #694004, #722044)
  * Use multiarch paths for shared object files
  * Raise debhelper compatibility level to 9
  * Build with --as-needed and with hardening flags enabled
  * Depend on recent libsynthesis, to pull in the fix for #694005
  * Added upstream patch 0001-GTK-GTK3-UI-fix-crash-on-64-bit.patch to fix a
    segmentation fault in sync-ui when built with hardening=+pie

 -- Tino Keitel <tino+debian@tikei.de>  Tue, 01 Oct 2013 10:52:25 +0200

=== debian/control ===
Source: syncevolution
Section: utils
Priority: optional
Maintainer: Tino Keitel <tino+debian@tikei.de>
Build-Depends: debhelper (>= 9), autotools-dev, libedataserver1.2-dev, 
 libecal1.2-dev, libebook1.2-dev, libcurl4-gnutls-dev, libboost-dev,
 libsynthesis-dev (>=3.4.0.16.8),
 libtool, automake, intltool, pkg-config,
 libglib2.0-dev, libglade2-dev, libdbus-glib-1-dev, libgtk2.0-dev,
 libgconf2-dev, libgnome-keyring-dev, xsltproc, 
 libopenobex1-dev [linux-any], libnotify-dev,
 python-docutils, libical-dev, libneon27-gnutls-dev, libpcre3-dev,
 libcppunit-dev
Standards-Version: 3.9.2
Homepage: http://www.syncevolution.org
Vcs-Git: git://git.debian.org/git/collab-maint/syncevolution
Vcs-Browser: http://git.debian.org/?p=collab-maint/syncevolution.git

Package: syncevolution
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
	 syncevolution-common (= ${source:Version}),
	 syncevolution-libs (= ${binary:Version})
Recommends: evolution-data-server, bluez
Description: Sync personal information data using SyncML and CalDAV/CardDAV (CLI)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides the CLI client.

Package: sync-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), 
	 syncevolution-dbus 
Recommends: evolution-data-server, bluez
Description: Sync personal information data using SyncML and CalDAV/CardDAV (GTK+ GUI)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a GTK+ graphical user interface.

Package: syncevolution-common
Architecture: all
Depends: ${misc:Depends}, libsynthesis0 (>= 3.4.0.16.8)
Conflicts: sync-ui (<<1.1+ds1-1~), syncevolution (<<1.1+ds1-1~)
Replaces: sync-ui (<<1.1+ds1-1~), syncevolution (<<1.1+ds1-1~)
Description: Sync personal information data using SyncML and CalDAV/CardDAV
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides common architecture independent files.

Package: syncevolution-libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Sync personal information data using SyncML and CalDAV/CardDAV (libraries)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides private libraries and plugins.

Package: syncevolution-dbus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 	 
	 syncevolution-common (= ${source:Version}),
	 syncevolution-libs (= ${binary:Version}), dbus
Recommends: evolution-data-server
Replaces: sync-ui (<< 1.1+ds1-1)
Breaks: sync-ui (<< 1.1+ds1-1)
Description: Sync personal information data using SyncML and CalDAV/CardDAV (D-Bus support)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides D-Bus services.

Package: syncevolution-http
Architecture: all
Depends: ${misc:Depends}, syncevolution-dbus (>= ${source:Version}), python,
 python-dbus, dbus-x11, python-twisted-web, python-gobject, python-openssl
Description: Sync personal information data using SyncML and CalDAV/CardDAV (HTTP server)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a python script to make SyncEvolution act as a HTTP(S)
 server for other SyncML clients.

Package: syncevolution-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},  syncevolution (= ${binary:Version}),
	 sync-ui (= ${binary:Version}), 
	 syncevolution-dbus (= ${binary:Version})
Description: Sync personal information data using SyncML and CalDAV/CardDAV (debugging)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides debugging symbols

Package: libsyncevolution0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), dbus
Description: Sync personal information data using SyncML and CalDAV/CardDAV (shared library)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a shared library.

Package: libsyncevo-dbus0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), dbus
Description: Sync personal information data using SyncML and CalDAV/CardDAV (shared library)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a shared library.

Package: libgdbussyncevo0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), dbus
Replaces: syncevolution-libs (<< 1.2.99.1)
Breaks: syncevolution-libs (<< 1.2.99.1)
Description: Sync personal information data using SyncML and CalDAV/CardDAV (shared library)
 SyncEvolution synchronizes contact, calendar and task items via SyncML and
 CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
 to sync PIM data in Evolution, but a plain file storage is also supported.
 Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
 incremental synchronization of items are supported. SyncEvolution can act as
 a SyncML/DAV client and SyncML server.
 .
 This package provides a shared library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
UPSTREAMTAG=upstream/1.3.2

SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
ORIG=${SOURCEPKG}_${UPSTREAM}.orig.tar.gz

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CONFIG_SHELL=/bin/bash

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%: 
	dh $@

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp
	install --mode=0755 --owner=root test/syncevo-http-server.py \
		$(CURDIR)/debian/tmp/usr/bin/syncevo-http-server

override_dh_auto_configure: 
	sh autogen.sh
	dh_auto_configure -- --with-synthesis-src=none --prefix=/usr \
			--sysconfdir=/etc \
			--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/syncevolution \
			--enable-gui \
			--with-rst2man --with-rst2html --enable-dav

override_dh_install:
	dh_install -X"*.pl"

override_dh_strip:
	dh_strip --dbg-package=syncevolution-dbg

override_dh_makeshlibs:
	dh_makeshlibs -psyncevolution-libs -n
	dh_makeshlibs -Nsyncevolution-libs

get-orig-source: 
	git archive --format=tar ${UPSTREAMTAG} --prefix=${SOURCEPKG}_${UPSTREAM}/ | gzip -9 > ../${ORIG}

PATCH_EXPORT_SCRIPT=/usr/share/gitpkg/hooks/quilt-patches-deb-export-hook
export-patches:
	[ ! -r debian/patches ] || \
	grep "^\#*$(notdir $(PATCH_EXPORT_SCRIPT))" debian/patches/series
	rm -rf debian/patches
	bash $(PATCH_EXPORT_SCRIPT)

## syncevolution 1.4

=== debian/changelog ===
syncevolution (1.4-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Add versioned dependencies on libsynthesis0 and libsmltk0 to
    libsyncevolution0, to force installation of backported version.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 21 May 2014 10:55:03 +0000

syncevolution (1.4-1) unstable; urgency=high

  * New upstream release
  * Allow parallel builds
  * Adjust Maintainer: field to new surname
  * Fix FTBFS due to erroneously hardcoded x86_64 path in an install file
    (Closes: #739665)
  * Fix upgrade from versions before 1.3.99.7 due to file conflicts.
    Thanks to Simon McVittie (Closes: #739662)
  * Add sections for files previously missing in copyright information
    (Closes: #739616)
  * Remove 0001-Fix-incorrect-mktemp-usage-reported-by-Helmut-Grohne.patch,
    fixed upstream in a different way

 -- Tino Mettler <tino+debian@tikei.de>  Fri, 21 Feb 2014 11:44:04 +0100

syncevolution (1.3.99.7-1) unstable; urgency=high

  * New upstream release candidate
  * Add 0001-Fix-incorrect-mktemp-usage-reported-by-Helmut-Grohne.patch,
    which fixes CVE-2014-1639
    (Closes: #736357)
  * Enable Akonadi support, separate Evolution (GNOME) and Akonadi (KDE) support
    (Closes: #682520)
  * Update standards version to 3.9.5, no changes needed
  * Add NEWS item to describe changes regarding KDE and GNOME support

 -- Tino Keitel <tino+debian@tikei.de>  Fri, 31 Jan 2014 12:44:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: syncevolution
 Section: utils
 Priority: optional
-Maintainer: Tino Keitel <tino+debian@tikei.de>
+Maintainer: Tino Mettler <tino+debian@tikei.de>
 Build-Depends: debhelper (>= 9), autotools-dev, libedataserver1.2-dev, 
  libecal1.2-dev, libebook1.2-dev, libcurl4-gnutls-dev, libboost-dev,
- libsynthesis-dev (>=3.4.0.16.8),
+ libsynthesis-dev (>=3.4.0.47.1),
  libtool, automake, intltool, pkg-config,
  libglib2.0-dev, libglade2-dev, libdbus-glib-1-dev, libgtk2.0-dev,
  libgconf2-dev, libgnome-keyring-dev, xsltproc, 
  libopenobex1-dev [linux-any], libnotify-dev,
  python-docutils, libical-dev, libneon27-gnutls-dev, libpcre3-dev,
- libcppunit-dev
-Standards-Version: 3.9.2
+ libcppunit-dev, kdepimlibs5-dev, kdelibs5-dev
+Standards-Version: 3.9.5
 Homepage: http://www.syncevolution.org
 Vcs-Git: git://git.debian.org/git/collab-maint/syncevolution
 Vcs-Browser: http://git.debian.org/?p=collab-maint/syncevolution.git
@@ -21,7 +21,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, 
 	 syncevolution-common (= ${source:Version}),
 	 syncevolution-libs (= ${binary:Version})
-Recommends: evolution-data-server, bluez
+Recommends: bluez
 Description: Sync personal information data using SyncML and CalDAV/CardDAV (CLI)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
@@ -36,7 +36,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), 
 	 syncevolution-dbus 
-Recommends: evolution-data-server, bluez
+Recommends: bluez
 Description: Sync personal information data using SyncML and CalDAV/CardDAV (GTK+ GUI)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
@@ -64,7 +64,9 @@
 
 Package: syncevolution-libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: syncevolution-libs-gnome (= ${binary:Version}) |
+         syncevolution-libs-kde (= ${binary:Version}),
+         ${misc:Depends}, ${shlibs:Depends}
 Description: Sync personal information data using SyncML and CalDAV/CardDAV (libraries)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
@@ -75,12 +77,42 @@
  .
  This package provides private libraries and plugins.
 
+Package: syncevolution-libs-gnome
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: evolution-data-server
+Replaces: syncevolution-libs (<< 1.3.99.7)
+Breaks: syncevolution-libs (<< 1.3.99.7)
+Description: Sync personal information data using SyncML and CalDAV/CardDAV (libraries)
+ SyncEvolution synchronizes contact, calendar and task items via SyncML and
+ CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
+ to sync PIM data in Evolution, but a plain file storage is also supported.
+ Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
+ incremental synchronization of items are supported. SyncEvolution can act as
+ a SyncML/DAV client and SyncML server.
+ .
+ This package provides private libraries and plugins for Gnome.
+
+Package: syncevolution-libs-kde
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: syncevolution-libs (<< 1.3.99.7)
+Breaks: syncevolution-libs (<< 1.3.99.7)
+Description: Sync personal information data using SyncML and CalDAV/CardDAV (libraries)
+ SyncEvolution synchronizes contact, calendar and task items via SyncML and
+ CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
+ to sync PIM data in Evolution, but a plain file storage is also supported.
+ Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
+ incremental synchronization of items are supported. SyncEvolution can act as
+ a SyncML/DAV client and SyncML server.
+ .
+ This package provides private libraries and plugins for KDE.
+
 Package: syncevolution-dbus
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, 	 
 	 syncevolution-common (= ${source:Version}),
 	 syncevolution-libs (= ${binary:Version}), dbus
-Recommends: evolution-data-server
 Replaces: sync-ui (<< 1.1+ds1-1)
 Breaks: sync-ui (<< 1.1+ds1-1)
 Description: Sync personal information data using SyncML and CalDAV/CardDAV (D-Bus support)
@@ -127,7 +159,7 @@
 
 Package: libsyncevolution0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), dbus
+Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), dbus, libsynthesis0 (>= 3.4.0.47.1), libsmltk0 (>= 3.4.0.47.1)
 Description: Sync personal information data using SyncML and CalDAV/CardDAV (shared library)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-UPSTREAMTAG=upstream/1.3.2
+UPSTREAMTAG=upstream/1.4
 
 SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
 UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')
@@ -15,7 +15,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %: 
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_install:
 	make install DESTDIR=$(CURDIR)/debian/tmp
@@ -28,6 +28,7 @@
 			--sysconfdir=/etc \
 			--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/syncevolution \
 			--enable-gui \
+			--enable-kwallet --enable-akonadi \
 			--with-rst2man --with-rst2html --enable-dav
 
 override_dh_install:
@@ -35,10 +36,6 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=syncevolution-dbg
-
-override_dh_makeshlibs:
-	dh_makeshlibs -psyncevolution-libs -n
-	dh_makeshlibs -Nsyncevolution-libs
 
 get-orig-source: 
 	git archive --format=tar ${UPSTREAMTAG} --prefix=${SOURCEPKG}_${UPSTREAM}/ | gzip -9 > ../${ORIG}

## syncevolution 1.4.99.4

=== debian/changelog ===
syncevolution (1.4.99.4-3) unstable; urgency=medium

  * Use TLS instead of SSLv3 in SyncML server script (Closes: #772040)

 -- Tino Mettler <tino+debian@tikei.de>  Thu, 04 Dec 2014 22:44:49 +0100

syncevolution (1.4.99.4-2) unstable; urgency=medium

  * Fix FTBFS on kfreebsd due to missing SOCK_CLOEXEC

 -- Tino Mettler <tino+debian@tikei.de>  Sun, 26 Oct 2014 14:12:59 +0100

syncevolution (1.4.99.4-1) unstable; urgency=medium

  * New upstream release candidate
  * Build-depend on libsynthesis 3.4.0.47.4
  * syncaddressbook.so vanished, as iOS addressbook support was removed

 -- Tino Mettler <tino+debian@tikei.de>  Sat, 25 Oct 2014 22:34:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tino Mettler <tino+debian@tikei.de>
 Build-Depends: debhelper (>= 9), autotools-dev, libedataserver1.2-dev, 
  libecal1.2-dev, libebook1.2-dev, libcurl4-gnutls-dev, libboost-dev,
- libsynthesis-dev (>=3.4.0.47.1),
+ libsynthesis-dev (>=3.4.0.47.4),
  libtool, automake, intltool, pkg-config,
  libglib2.0-dev, libglade2-dev, libdbus-glib-1-dev, libgtk2.0-dev,
  libgconf2-dev, libgnome-keyring-dev, xsltproc, 
@@ -159,7 +159,7 @@
 
 Package: libsyncevolution0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), dbus, libsynthesis0 (>= 3.4.0.47.1), libsmltk0 (>= 3.4.0.47.1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, syncevolution-common (= ${source:Version}), dbus
 Description: Sync personal information data using SyncML and CalDAV/CardDAV (shared library)
  SyncEvolution synchronizes contact, calendar and task items via SyncML and
  CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-UPSTREAMTAG=upstream/1.4
+UPSTREAMTAG=upstream/1.4.99.4
 
 SOURCEPKG=$(shell dpkg-parsechangelog | sed  -n 's/^Source: \(.*\)/\1/p')
 UPSTREAM=$(shell dpkg-parsechangelog |  sed -n 's/^Version: \(.*\)-[^-]*/\1/p')

## syncevolution 1.5

=== src/synthesis/src/pcre/CMakeLists.txt ===
# CMakeLists.txt
#
# This file allows building PCRE with the CMake configuration and build
# tool. Download CMake in source or binary form from http://www.cmake.org/
#
# Original listfile by Christian Ehrlicher <Ch.Ehrlicher@gmx.de>
# Refined and expanded by Daniel Richard G. <skunk@iSKUNK.ORG>
#

PROJECT(PCRE C CXX)

CMAKE_MINIMUM_REQUIRED(VERSION 2.4.6)

# Configuration checks

INCLUDE(CheckIncludeFile)
INCLUDE(CheckIncludeFileCXX)
INCLUDE(CheckFunctionExists)
INCLUDE(CheckTypeSize)

CHECK_INCLUDE_FILE(dirent.h	HAVE_DIRENT_H)
CHECK_INCLUDE_FILE(unistd.h	HAVE_UNISTD_H)
CHECK_INCLUDE_FILE(sys/stat.h	HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILE(sys/types.h	HAVE_SYS_TYPES_H)

CHECK_INCLUDE_FILE_CXX(type_traits.h		HAVE_TYPE_TRAITS_H)
CHECK_INCLUDE_FILE_CXX(bits/type_traits.h	HAVE_BITS_TYPE_TRAITS_H)

CHECK_FUNCTION_EXISTS(bcopy	HAVE_BCOPY)
CHECK_FUNCTION_EXISTS(memmove	HAVE_MEMMOVE)
CHECK_FUNCTION_EXISTS(strerror	HAVE_STRERROR)

CHECK_TYPE_SIZE("long long"		LONG_LONG)
CHECK_TYPE_SIZE("unsigned long long"	UNSIGNED_LONG_LONG)

# User-configurable options
#
# (Note: CMakeSetup displays these in alphabetical order, regardless of
# the order we use here)

SET(BUILD_SHARED_LIBS OFF CACHE BOOL
    "Build shared libraries instead of static ones.")

OPTION(PCRE_BUILD_PCRECPP "Build the PCRE C++ library (pcrecpp)." ON)

SET(PCRE_EBCDIC OFF CACHE BOOL
    "Use EBCDIC coding instead of ASCII. (This is rarely used outside of mainframe systems)")

SET(PCRE_LINK_SIZE "2" CACHE STRING
    "Internal link size (2, 3 or 4 allowed). See LINK_SIZE in config.h.in for details.")

SET(PCRE_MATCH_LIMIT "10000000" CACHE STRING
    "Default limit on internal looping. See MATCH_LIMIT in config.h.in for details.")

SET(PCRE_MATCH_LIMIT_RECURSION "MATCH_LIMIT" CACHE STRING
    "Default limit on internal recursion. See MATCH_LIMIT_RECURSION in config.h.in for details.")

SET(PCRE_NEWLINE "LF" CACHE STRING
    "What to recognize as a newline (one of CR, LF, CRLF, ANY).")

SET(PCRE_NO_RECURSE OFF CACHE BOOL
    "If ON, then don't use stack recursion when matching. See NO_RECURSE in config.h.in for details.")

SET(PCRE_POSIX_MALLOC_THRESHOLD "10" CACHE STRING
    "Threshold for malloc() usage. See POSIX_MALLOC_THRESHOLD in config.h.in for details.")

SET(PCRE_SUPPORT_UNICODE_PROPERTIES OFF CACHE BOOL
    "Enable support for Unicode properties. (If set, UTF-8 support will be enabled as well)")

SET(PCRE_SUPPORT_UTF8 OFF CACHE BOOL
    "Enable support for the Unicode UTF-8 encoding.")

# Prepare build configuration

SET(pcre_have_type_traits 0)
SET(pcre_have_bits_type_traits 0)

IF(HAVE_TYPE_TRAITS_H)
	SET(pcre_have_type_traits 1)
ENDIF(HAVE_TYPE_TRAITS_H)

IF(HAVE_BITS_TYPE_TRAITS_H)
	SET(pcre_have_bits_type_traits 1)
ENDIF(HAVE_BITS_TYPE_TRAITS_H)

SET(pcre_have_long_long 0)
SET(pcre_have_ulong_long 0)

IF(HAVE_LONG_LONG)
	SET(pcre_have_long_long 1)
ENDIF(HAVE_LONG_LONG)

IF(HAVE_UNSIGNED_LONG_LONG)
	SET(pcre_have_ulong_long 1)
ENDIF(HAVE_UNSIGNED_LONG_LONG)

IF(NOT BUILD_SHARED_LIBS)
	SET(PCRE_STATIC 1)
ENDIF(NOT BUILD_SHARED_LIBS)

IF(PCRE_SUPPORT_UTF8 OR PCRE_SUPPORT_UNICODE_PROPERTIES)
	SET(SUPPORT_UTF8 1)
ENDIF(PCRE_SUPPORT_UTF8 OR PCRE_SUPPORT_UNICODE_PROPERTIES)

IF(PCRE_SUPPORT_UNICODE_PROPERTIES)
	SET(SUPPORT_UCP 1)
ENDIF(PCRE_SUPPORT_UNICODE_PROPERTIES)

SET(NEWLINE "")

IF(PCRE_NEWLINE STREQUAL "LF")
	SET(NEWLINE "10")
ENDIF(PCRE_NEWLINE STREQUAL "LF")
IF(PCRE_NEWLINE STREQUAL "CR")
	SET(NEWLINE "13")
ENDIF(PCRE_NEWLINE STREQUAL "CR")
IF(PCRE_NEWLINE STREQUAL "CRLF")
	SET(NEWLINE "3338")
ENDIF(PCRE_NEWLINE STREQUAL "CRLF")
IF(PCRE_NEWLINE STREQUAL "ANY")
	SET(NEWLINE "-1")
ENDIF(PCRE_NEWLINE STREQUAL "ANY")

IF(NEWLINE STREQUAL "")
	MESSAGE(FATAL_ERROR "The PCRE_NEWLINE variable must be set to one of the following values: \"LF\", \"CR\", \"CRLF\", \"ANY\".")
ENDIF(NEWLINE STREQUAL "")

IF(PCRE_EBCDIC)
	SET(EBCDIC 1)
ENDIF(PCRE_EBCDIC)

IF(PCRE_NO_RECURSE)
	SET(NO_RECURSE 1)
ENDIF(PCRE_NO_RECURSE)

# Output files

CONFIGURE_FILE(config-cmake.h.in
               ${CMAKE_BINARY_DIR}/config.h
               @ONLY)

CONFIGURE_FILE(pcre.h.generic
               ${CMAKE_BINARY_DIR}/pcre.h
               COPYONLY)

# What about pcre-config and libpcre.pc?

IF(PCRE_BUILD_PCRECPP)
	CONFIGURE_FILE(pcre_stringpiece.h.in
		       ${CMAKE_BINARY_DIR}/pcre_stringpiece.h
		       @ONLY)

	CONFIGURE_FILE(pcrecpparg.h.in
		       ${CMAKE_BINARY_DIR}/pcrecpparg.h
		       @ONLY)
ENDIF(PCRE_BUILD_PCRECPP)

# Character table generation

ADD_EXECUTABLE(dftables dftables.c)

GET_TARGET_PROPERTY(DFTABLES_EXE dftables LOCATION)

ADD_CUSTOM_COMMAND(
	COMMENT "Generating character tables (pcre_chartables.c) for current locale"
	DEPENDS dftables
	COMMAND ${DFTABLES_EXE}
	ARGS	${CMAKE_BINARY_DIR}/pcre_chartables.c
	OUTPUT	${CMAKE_BINARY_DIR}/pcre_chartables.c
)

# Source code

SET(PCRE_HEADERS ${CMAKE_BINARY_DIR}/pcre.h)

SET(PCRE_SOURCES
	${CMAKE_BINARY_DIR}/pcre_chartables.c
	pcre_compile.c
	pcre_config.c
	pcre_dfa_exec.c
	pcre_exec.c
	pcre_fullinfo.c
	pcre_get.c
	pcre_globals.c
	pcre_info.c
	pcre_newline.c
	pcre_maketables.c
	pcre_ord2utf8.c
	pcre_refcount.c
	pcre_study.c
	pcre_tables.c
	pcre_try_flipped.c
	pcre_ucp_searchfuncs.c
	pcre_valid_utf8.c
	pcre_version.c
	pcre_xclass.c
)

SET(PCREPOSIX_HEADERS pcreposix.h)

SET(PCREPOSIX_SOURCES pcreposix.c)

SET(PCRECPP_HEADERS
	pcrecpp.h
	pcre_scanner.h
	${CMAKE_BINARY_DIR}/pcrecpparg.h
	${CMAKE_BINARY_DIR}/pcre_stringpiece.h
)

SET(PCRECPP_SOURCES
	pcrecpp.cc
	pcre_scanner.cc
	pcre_stringpiece.cc
)

# Build setup

ADD_DEFINITIONS(-DHAVE_CONFIG_H)

IF(WIN32)
	ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
ENDIF(WIN32)

SET(CMAKE_INCLUDE_CURRENT_DIR 1)

#SET(CMAKE_DEBUG_POSTFIX "d")

# Libraries

ADD_LIBRARY(pcre ${PCRE_HEADERS} ${PCRE_SOURCES})

ADD_LIBRARY(pcreposix ${PCREPOSIX_HEADERS} ${PCREPOSIX_SOURCES})
TARGET_LINK_LIBRARIES(pcreposix pcre)

IF(PCRE_BUILD_PCRECPP)
	ADD_LIBRARY(pcrecpp ${PCRECPP_HEADERS} ${PCRECPP_SOURCES})
	TARGET_LINK_LIBRARIES(pcrecpp pcre)
	IF(MINGW)
		SET_TARGET_PROPERTIES(pcrecpp PROPERTIES PREFIX "mingw-")
	ENDIF(MINGW)
ENDIF(PCRE_BUILD_PCRECPP)

# Executables

ADD_EXECUTABLE(pcretest pcretest.c)
TARGET_LINK_LIBRARIES(pcretest pcreposix)

ADD_EXECUTABLE(pcregrep pcregrep.c)
TARGET_LINK_LIBRARIES(pcregrep pcreposix)

IF(PCRE_BUILD_PCRECPP)
	ADD_EXECUTABLE(pcrecpp_unittest pcrecpp_unittest.cc)
	TARGET_LINK_LIBRARIES(pcrecpp_unittest pcrecpp)

	ADD_EXECUTABLE(pcre_scanner_unittest pcre_scanner_unittest.cc)
	TARGET_LINK_LIBRARIES(pcre_scanner_unittest pcrecpp)

	ADD_EXECUTABLE(pcre_stringpiece_unittest pcre_stringpiece_unittest.cc)
	TARGET_LINK_LIBRARIES(pcre_stringpiece_unittest pcrecpp)
ENDIF(PCRE_BUILD_PCRECPP)

# Testing

ENABLE_TESTING()

GET_TARGET_PROPERTY(PCREGREP_EXE pcregrep DEBUG_LOCATION)
GET_TARGET_PROPERTY(PCRETEST_EXE pcretest DEBUG_LOCATION)

# Write out a CTest configuration file that sets some needed environment
# variables for the test scripts.
#
FILE(WRITE ${CMAKE_BINARY_DIR}/CTestCustom.ctest
"# This is a generated file.
SET(ENV{srcdir} ${CMAKE_SOURCE_DIR})
SET(ENV{pcregrep} ${PCREGREP_EXE})
SET(ENV{pcretest} ${PCRETEST_EXE})
")

IF(UNIX)
	ADD_TEST(pcre_test	${CMAKE_SOURCE_DIR}/RunTest)
	ADD_TEST(pcre_grep_test ${CMAKE_SOURCE_DIR}/RunGrepTest)
ENDIF(UNIX)
IF(WIN32)
	ADD_TEST(pcre_test cmd /C ${CMAKE_SOURCE_DIR}/RunTest.bat)
ENDIF(WIN32)

GET_TARGET_PROPERTY(PCRECPP_UNITTEST_EXE
                    pcrecpp_unittest
                    DEBUG_LOCATION)

GET_TARGET_PROPERTY(PCRE_SCANNER_UNITTEST_EXE
                    pcre_scanner_unittest
                    DEBUG_LOCATION)

GET_TARGET_PROPERTY(PCRE_STRINGPIECE_UNITTEST_EXE
                    pcre_stringpiece_unittest
                    DEBUG_LOCATION)

ADD_TEST(pcrecpp_test          ${PCRECPP_UNITTEST_EXE})
ADD_TEST(pcre_scanner_test     ${PCRE_SCANNER_UNITTEST_EXE})
ADD_TEST(pcre_stringpiece_test ${PCRE_STRINGPIECE_UNITTEST_EXE})

# Installation

SET(CMAKE_INSTALL_ALWAYS 1)

INSTALL(TARGETS pcre pcreposix pcregrep pcretest
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib)

INSTALL(FILES ${PCRE_HEADERS} ${PCREPOSIX_HEADERS} DESTINATION include)

FILE(GLOB html ${CMAKE_SOURCE_DIR}/doc/html/*.html)
FILE(GLOB man1 ${CMAKE_SOURCE_DIR}/doc/*.1)
FILE(GLOB man3 ${CMAKE_SOURCE_DIR}/doc/*.3)

IF(PCRE_BUILD_PCRECPP)
	INSTALL(TARGETS pcrecpp
	        RUNTIME DESTINATION bin
	        LIBRARY DESTINATION lib
	        ARCHIVE DESTINATION lib)
	INSTALL(FILES ${PCRECPP_HEADERS} DESTINATION include)
ELSE(PCRE_BUILD_PCRECPP)
	# Remove pcrecpp.3
	FOREACH(man ${man3})
		GET_FILENAME_COMPONENT(man_tmp ${man} NAME)
		IF(NOT man_tmp STREQUAL "pcrecpp.3")
			SET(man3_new ${man3} ${man})
		ENDIF(NOT man_tmp STREQUAL "pcrecpp.3")
	ENDFOREACH(man ${man3})
	SET(man3 ${man3_new})
ENDIF(PCRE_BUILD_PCRECPP)

INSTALL(FILES ${man1} DESTINATION man/man1)
INSTALL(FILES ${man3} DESTINATION man/man3)
INSTALL(FILES ${html} DESTINATION share/doc/pcre/html)

# end CMakeLists.txt

=== debian/changelog ===
syncevolution (1.5-0ubuntu12) xenial; urgency=medium

  * Build-depend on libopenobex2-dev | libopenobex-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 11:18:40 +0100

syncevolution (1.5-0ubuntu10) xenial; urgency=medium

  * No change rebuild with the new e-d-s sonames

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Oct 2015 10:46:03 +0100

syncevolution (1.5-0ubuntu9) wily; urgency=medium

  * Install GOA support into a separate binary package. (LP: #1406200)

 -- Bruce Pieterse <dev@otq.za.net>  Tue, 04 Aug 2015 20:42:49 +0200

syncevolution (1.5-0ubuntu8) wily; urgency=medium

  * Drop wrong hard-coded dependency on libsynthesis0 from
    syncevolution-common.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 02 Aug 2015 10:24:06 +0000

syncevolution (1.5-0ubuntu7) wily; urgency=medium

  * No-change rebuild against libsynthesis0v5.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 02 Aug 2015 09:33:55 +0000

syncevolution (1.5-0ubuntu7~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Jul 2015 21:37:04 +0000

syncevolution (1.5-0ubuntu6) wily; urgency=medium

  * No-change rebuild against new e-d-s

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 17 Jun 2015 11:58:44 +0100

syncevolution (1.5-0ubuntu5) vivid; urgency=medium

  * debian/patches/calendar-limit-date-sync.diff
    - Fixed startDate return value to use month in the range 1..12, instead of 0..11.

  * debian/patches/Handle-error-403-from-google-calendar.patch
    - Handle google calendar error 403 while syncing to avoid sync to fail.

  * debian/patches/Avoid-crash-if-the-g_variant_new_string-fails.patch
    - Avoid crash if the 'g_variant_new_string' is called with a invalid string.

 -- Renato Araujo Oliveira Filho <renato.filho@canonical.com>  Wed, 01 Apr 2015 12:29:08 -0300

syncevolution (1.5-0ubuntu4) vivid; urgency=medium

  * Use 90 days as default value for syncInterval.

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 04 Feb 2015 09:08:33 -0500

syncevolution (1.5-0ubuntu3) vivid; urgency=medium

  * Revert upload of 1.5-0ubuntu2, neither sponsor nor sponsoree have
    upload permissions into the Ubuntu Archive for this package.
  * Upload was performed via:
    - https://ci-train.ubuntu.com/job/prepare-silo/3978/console
    - not approved in https://code.launchpad.net/~renatofilho/ubuntu/vivid/syncevolution/default-syncInterval/+merge/247768

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Wed, 04 Feb 2015 10:29:14 +0000

syncevolution (1.5-0ubuntu2) vivid; urgency=medium

  * Use 90 days as default value for syncInterval.

 -- Robert Bruce Park <robert.park@canonical.com>  Tue, 03 Feb 2015 11:09:21 -0800

syncevolution (1.5-0ubuntu1) vivid; urgency=medium

  * No-change rebuild for new libical

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 06 Jan 2015 17:34:04 +0000

syncevolution (1.5-0ubuntu0) vivid; urgency=medium

  * New upstream release.
  * debian/control
    - bumped build depends on libsynthesis-dev to >=3.4.0.47.5
  * debian/patches/calendar-limit-date-sync.diff
    - limit dates on sync

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 04 Nov 2014 14:41:39 -0500

syncevolution (1.4-1ubuntu4) trusty; urgency=medium

  [ Renato Araujo Oliveira Filho ]
  * debian/patches/removed-workarount-not-necessary-in-new-eds.patch:
    - Added patch to optimize EDS calendar sync (LP: #1306112)

 -- Robert Bruce Park <robert.park@canonical.com>  Tue, 15 Apr 2014 12:34:32 -0700

syncevolution (1.4-1ubuntu2) trusty; urgency=medium

  * Imported patch to fix contact photo merging.

 -- Robert Bruce Park <robert.park@canonical.com>  Fri, 04 Apr 2014 18:24:20 -0300

syncevolution (1.4-1ubuntu1) trusty; urgency=medium

  * Add build-dependencies and pass configure flag to enable Ubuntu Online
    Accounts support. (LP: #1285583)
  * Take patch from upstream bug #75670 to fix build (build system cannot find
    `QString' due to incorrect CPPFLAGS)
  * Install UOA support into a separate binary package.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 06 Mar 2014 16:50:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: syncevolution
 Section: utils
 Priority: optional
-Maintainer: Tino Mettler <tino+debian@tikei.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tino Mettler <tino+debian@tikei.de>
 Build-Depends: debhelper (>= 9), autotools-dev, libedataserver1.2-dev, 
  libecal1.2-dev, libebook1.2-dev, libcurl4-gnutls-dev, libboost-dev,
- libsynthesis-dev (>=3.4.0.47.4),
+ libsynthesis-dev (>=3.4.0.47.5),
  libtool, automake, intltool, pkg-config,
  libglib2.0-dev, libglade2-dev, libdbus-glib-1-dev, libgtk2.0-dev,
  libgconf2-dev, libgnome-keyring-dev, xsltproc, 
- libopenobex1-dev [linux-any], libnotify-dev,
+ libopenobex2-dev [linux-any] | libopenobex-dev [linux-any], libnotify-dev,
  python-docutils, libical-dev, libneon27-gnutls-dev, libpcre3-dev,
- libcppunit-dev, kdepimlibs5-dev, kdelibs5-dev
+ libcppunit-dev, kdepimlibs5-dev, kdelibs5-dev,
+ libaccounts-glib-dev (>= 1.8), libsignon-glib-dev (>= 1.7)
 Standards-Version: 3.9.5
 Homepage: http://www.syncevolution.org
 Vcs-Git: git://git.debian.org/git/collab-maint/syncevolution
@@ -49,7 +51,7 @@
 
 Package: syncevolution-common
 Architecture: all
-Depends: ${misc:Depends}, libsynthesis0 (>= 3.4.0.16.8)
+Depends: ${misc:Depends}
 Conflicts: sync-ui (<<1.1+ds1-1~), syncevolution (<<1.1+ds1-1~)
 Replaces: sync-ui (<<1.1+ds1-1~), syncevolution (<<1.1+ds1-1~)
 Description: Sync personal information data using SyncML and CalDAV/CardDAV
@@ -107,6 +109,34 @@
  a SyncML/DAV client and SyncML server.
  .
  This package provides private libraries and plugins for KDE.
+
+Package: syncevolution-provider-uoa
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Sync personal information data using SyncML and CalDAV/CardDAV (UOA provider)
+ SyncEvolution synchronizes contact, calendar and task items via SyncML and
+ CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
+ to sync PIM data in Evolution, but a plain file storage is also supported.
+ Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
+ incremental synchronization of items are supported. SyncEvolution can act as
+ a SyncML/DAV client and SyncML server.
+ .
+ This package provides a provider for Ubuntu Online Accounts, allowing
+ syncevolution to access account information stored there.
+
+Package: syncevolution-provider-goa
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Sync personal information data using SyncML and CalDAV/CardDAV (GOA provider)
+ SyncEvolution synchronizes contact, calendar and task items via SyncML and
+ CalDAV/CardDAV with other servers or devices. It uses the Evolution Data Server
+ to sync PIM data in Evolution, but a plain file storage is also supported.
+ Data exchange can happen via HTTP(S) and Bluetooth. Full, one-way and
+ incremental synchronization of items are supported. SyncEvolution can act as
+ a SyncML/DAV client and SyncML server.
+ .
+ This package provides a provider for GNOME Online Accounts, allowing
+ syncevolution to access account information stored there.
 
 Package: syncevolution-dbus
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -29,10 +29,11 @@
 			--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/syncevolution \
 			--enable-gui \
 			--enable-kwallet --enable-akonadi \
-			--with-rst2man --with-rst2html --enable-dav
+			--with-rst2man --with-rst2html --enable-dav \
+			--enable-uoa
 
 override_dh_install:
-	dh_install -X"*.pl"
+	dh_install -X"*.pl" --list-missing
 
 override_dh_strip:
 	dh_strip --dbg-package=syncevolution-dbg

=== debian/watch ===
version=3

opts=dversionmangle=s/\+ds\d+$// \
  http://downloads.syncevolution.org/syncevolution/sources/syncevolution-(.*).tar.gz
